Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
[Java] Class JavaStubCompilationUnit

    java.lang.Object
      org.codehaus.groovy.control.ProcessingUnit
          org.codehaus.groovy.control.CompilationUnit
              org.codehaus.groovy.tools.javac.JavaStubCompilationUnit

    public class JavaStubCompilationUnit
    extends CompilationUnit

Compilation unit to only generate stubs.

Authors:
  Jason Dillon
  Guillaume Laforge

Field Summary

Fields inherited from class CompilationUnit
ast, astTransformationsContext, classNodeResolver, classSourcesByPublicClassName, classgenCallback, configured, debug, generatedClasses, names, optimizer, progressCallback, queuedSources, resolveVisitor, sources, staticImportVisitor, summariesByPublicClassName, summariesBySourceName, verifier

Fields inherited from class ProcessingUnit
classLoader, configuration, errorCollector, phase, phaseComplete

Constructor Summary
`JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl, java.io.File destDir)`
`JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl)`

Method Summary
`SourceUnit` | `addSource(java.io.File file)`
`SourceUnit` | `addSource(java.net.URL url)`
`void` | `compile()`
`void` | `configure(CompilerConfiguration config)`
`int` | `getStubCount()`

Methods inherited from class CompilationUnit
addClassNode, addNewPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addSource, addSource, addSource, addSource, addSource, addSources, addSources, applyToGeneratedGroovyClasses, applyToPrimaryClassNodes, applyToSourceUnits, compile, compile, configure, createClassVisitor, dequeued, getAST, getASTTransformationsContext, getClassNode, getClassNodeResolver, getClassSourcesByPublicClassName, getClasses, getClassgenCallback, getFirstClassNode, getProgressCallback, getSummariesByPublicClassName, getSummariesBySourceName, getTransformLoader, isPublicClass, iterator, mark, setClassNodeResolver, setClassgenCallback, setProgressCallback

Methods inherited from class ProcessingUnit
completePhase, configure, getClassLoader, getConfiguration, getErrorCollector, getPhase, getPhaseDescription, gotoPhase, nextPhase, setClassLoader, setConfiguration

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JavaStubCompilationUnit

    public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl, java.io.File destDir)

### JavaStubCompilationUnit

    public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl)

Method Detail

### addSource

    public SourceUnit addSource(final File file) {
    public SourceUnit addSource(java.io.File file)

### addSource

    public SourceUnit addSource(URL url) {
    public SourceUnit addSource(java.net.URL url)

### compile

    @Override
    public void compile()

### configure

    @Override
    public void configure(CompilerConfiguration config)

### getStubCount

    public int getStubCount()

Groovy Documentation